//
//  gl_triangle_fanView.h
//
//  gl_triangle_fan
//  Illusioner
//
//  Created by Tom Bernard on 10/1/06.
//  Copyright (c) 2006, Bersearch Information Services. All rights reserved.
//

#import <ScreenSaver/ScreenSaver.h>

// if animation is stopped, resume animation after kResumeAnimationTime seconds

#define kResumeAnimationTime 600


@class GLTFOpenGLView;
@interface gl_triangle_fanView : ScreenSaverView 
{
	// GLTFOpenGLView *gltfOpenGLView;
	// NSArray *screens;
	NSTimeInterval animationTimeInterval, sAnimationRate, eAnimationRate, dAnimationRate;
	NSTimer *resumeAnimationTimer;
	BOOL optionKeyDown, controlKeyDown, commandKeyDown, shiftDown, capsLockDown;
}
- (void)animateOpenGLSubviews;
- (NSTimeInterval)animationTimeInterval;
// - (void)printfModifierFlags;
// - (void)setFlagsfromEvent:(NSEvent *)theEvent;
- (void)doCasem;
- (void)doCasee;
- (void)doCasep;
- (void)doCaser;
- (void)doCases;
- (void)doCasex;
- (void)doCasey;
- (void)doCasez;
- (void)doCaseSpace;
- (void)incrementFirstPointModeOfGLSubviews;
- (void)negateDOrthoXdeltaOfSubviews;
- (void)negateDOrthoYdeltaOfSubviews;
- (void)negateDOrthoZdeltaOfSubviews;
- (void)toggleAddedHueFactorModeOfGLSubviews;
- (void)toggleAnimationState;
- (void)doSingleStep;
- (void)renewResumeAnimationTimer;
- (void)newResumeAnimationTimer;
- (void)resumeAnimationForTimer:(NSTimer *)timer;
@end
